<svelte:options tag = "smart-button" />
<script>
	export let name = 'button' ;
	// const handleClick = () => {
	// 	name = 'Smart Button'
	// }
</script>

<main>
	<button> {name} </button> 
	<!-- <button on:click ={handleClick}> Update Name</button> -->

</main>

<style>
	main {
		text-align: center;
		padding: 1em;
		max-width: 240px;
		margin: 0 auto;
	}

	button {
		color: #ff3e00;
		text-transform: uppercase;
		font-size: 4em;
		font-weight: 100;
	}

	@media (min-width: 640px) {
		main {
			max-width: none; 
		}
	}
</style>